﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="RoomTypeModal" tabindex="-1" role="dialog" aria-labelledby="RoomTypeModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.ManageRoomType</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="RoomTypeid" name="RoomTypeid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />

                        <div class="form-group">
                            <label for="roomtype">@Resources.Content.Name</label>
                            <input id="roomtypename" name="roomtypename" placeholder="Enter Room Type" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <input id="RoomTypeid" name="RoomTypeid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />

                        <div class="form-group">
                            <label for="roomtype">@Resources.Content.NameKh</label>
                            <input id="roomtypenamekh" name="roomtypenamekh" placeholder="Enter Room Type" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="note">@Resources.Content.Note</label>
                            <textarea name="note" id="note" rows="1" style="min-width:100%; max-width:100%" class="form-control input-sm" value=""></textarea>
                        </div>
                    </div>
                </div>
                <button type="button" id="btnAddRoomType" onclick="AddRoomType()" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                <button type="button" id="btnSaveRoomType" onclick="SaveRoomType()" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                <button type="button" id="btnUpdateRoomType" onclick="UpdateRoomType()" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                <hr />
                <div class="row">
                        <div class="col-md-12">
                            <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="tableRoomType">
                                <thead>
                                    <tr>
                                        <th>@Resources.Content.No</th>
                                        <th>@Resources.Content.Name</th>
                                        <th>@Resources.Content.NameKh</th>
                                        <th style="width:10%">@Resources.Content.Action</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    function AddRoomType() {
        $('#btnAddRoomType').hide();
        $('#btnSaveRoomType').show();
        $('#btnUpdateRoomType').hide();
        ClearControlRoomType();
        EnableControlRoomType();
        $('#roomtypename').focus();
    }

    function SaveRoomType() {
        if ($('#roomtypename').val() == "") {
            $('#roomtypename').focus();
            return false;
        }

        var data = {
            roomtypename: $('#roomtypename').val(),
            roomtypenamekh: $('#roomtypenamekh').val(),
            note: $('#note').val(),
        };

        $.ajax({
            url: "/api/RoomTypes",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Insert data succesfully!", "Server Respond");
                $('#tableRoomType').DataTable().ajax.reload();
                DisableControlRoomType();
                ClearControlRoomType();

                $('#btnAddRoomType').show();
                $('#btnSaveRoomType').hide();
                $('#btnUpdateRoomType').hide();
            },
            error: function (errormesage) {
                $('#RoomTypeName').focus();
                toastr.error("Bad request!", "Server Respond")
            }

        });
    }


    function UpdateRoomType() {
        var data = {
            id: $('#RoomTypeid').val(),
            roomtypename: $('#roomtypename').val(),
            roomtypenamekh: $('#roomtypenamekh').val(),
            note: $('#note').val(),
        };
        $.ajax({
            url: "/api/RoomTypes/" + data.id,
            data: JSON.stringify(data),
            type: "PUT",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Update data successfully!", "Server Respond");
                $('#tableRoomType').DataTable().ajax.reload();
                document.getElementById('btnSaveRoomType').innerText = "Add New";
                DisableControlRoomType();
                ClearControlRoomType();

                $('#btnAddRoomType').show();
                $('#btnSaveRoomType').hide();
                $('#btnUpdateRoomType').hide();
            },
            error: function (errormesage) {
                toastr.error("Bad request!", "Server Respond")
            }
        });
    }

    
</script>



